d_slider_proc(3)

NAME
d_slider_proc

SYNOPSIS
#include <allegro.h>

int d_slider_proc(int msg, DIALOG *d, int c);

DESCRIPTION
A slider control object. This object holds a value in d2, in the range from 0 to d1. It will display as a vertical slider if h is greater than or equal to w, otherwise it will display as a horizontal slider. The dp field can contain an optional bitmap to use for the slider handle, and dp2 can contain an optional callback function, which is called each time d2 changes. The callback function should have the following prototype:
   int function(void *dp3, int d2);

The d_slider_proc object will return the value of the callback function.

SEE ALSO
exgui(3), exrgbhsv(3)